Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Public Types | Public Slots | Signals | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
ACG::QtWidgets::QtSceneGraphWidget Class Reference

`#include <ACG/QtWidgets/QtSceneGraphWidget.hh>`

Inheritance diagram for ACG::QtWidgets::QtSceneGraphWidget:

## Classes
class | Item
struct | StatusActions

## Public Types
enum | Columns { Node, Type, Status, Mode }

## Public Slots
void | update (ACG::SceneGraph::BaseNode *_rootNode)
| Update recursively from `_rootNode` on.
void | expandAll ()
void | updateAll ()

## Signals
void | signalNodeChanged (ACG::SceneGraph::BaseNode *_node)

## Public Member Functions
| QtSceneGraphWidget (QWidget *_parent=0, SceneGraph::BaseNode *_rootNode=0)
| default constructor
virtual | ~QtSceneGraphWidget ()
| destructor
bool | addWidgetGenerator (SceneGraphWidgetGenerator *_generator)
| Add a node widget handler. More...
void | setGeneratorMap (QMap< std::string, SceneGraphWidgetGenerator * > _map)
| Set a complete generator map (this will overwrite the existing one!

## Private Slots
void | slotItemPressed (QTreeWidgetItem *_item, int _col)
void | slotItemExpandedOrCollapsed (QTreeWidgetItem *_item)
void | slotNodeChanged (ACG::SceneGraph::BaseNode *_node)
void | slotModeMenu (QAction *_action)
void | slotStatusMenu (QAction *_action)
void | slotEditMaterial ()
void | slotEditTexture ()
void | slotEditShader ()
void | slotEditClipPlanes ()
void | slotEditCoordinateFrame ()

## Private Member Functions
| QtSceneGraphWidget (const QtSceneGraphWidget &_rhs)
| copy constructor
QtSceneGraphWidget & | operator= (const QtSceneGraphWidget &_rhs)
| assignment operator
void | update (SceneGraph::BaseNode *_node, Item *_parent)
| update _node
void | keyPressEvent (QKeyEvent *_event)
| key events
void | keyReleaseEvent (QKeyEvent *_event)
| key events

## Private Attributes
SceneGraph::BaseNode * | rootNode_
QMenu * | modeMenu_
Item * | curItem_
bool | shiftPressed_
struct ACG::QtWidgets::QtSceneGraphWidget::StatusActions | statusActions_
QMap< std::string, SceneGraphWidgetGenerator * > | generatorMap_

## Detailed Description

This class is used within the QtExaminerWidget to display and modify the current scenegraph.

See also
  QtExaminerWidget

Definition at line 140 of file QtSceneGraphWidget.hh.

## Member Function Documentation

bool ACG::QtWidgets::QtSceneGraphWidget::addWidgetGenerator | ( | SceneGraphWidgetGenerator * | _generator | ) |

Add a node widget handler.

returns true, if the handler was sucessfully added.

Definition at line 572 of file QtSceneGraphWidget.cc.

void ACG::QtWidgets::QtSceneGraphWidget::signalNodeChanged | ( | ACG::SceneGraph::BaseNode * | _node | ) |
| signal

This signal is emitted when the user changes a node through its node dialog

The documentation for this class was generated from the following files:

- ACG/QtWidgets/QtSceneGraphWidget.hh
- ACG/QtWidgets/QtSceneGraphWidget.cc